.d-inline-flex {
    display: inline-flex;
}

.d-none {
    display: none;
}

.align-items-center {
    align-items: center;
}

.gap-1 {
    gap: .3rem;
}
.ml-3{margin-inline-start:3px;}

.animbtn {
    font-family: Roboto, sans-serif;
    cursor: pointer;
    position: relative;
    border-radius: 3px;
    padding: 16px 10px;
    font-size: 13px;
    gap: .3rem;
    text-decoration: none;
    align-items: center;
    display: inline-flex;
    align-items: center;
    min-width: 116px;
    height:34px;
    margin-top:0;
    justify-content: center;
    transition: all 0.5s ease;
}

.defaultbtn {
    background-color: #004684;
    color: #fff;
}

.addedbtn, .paykartaddbtn {
    background-color: #539A56;
    color: #fff;
}

.removebtn {
    border: 1px solid;
    color: #004684;
    background-color: #fff;
}

    .removebtn svg {
        -webkit-animation: removeicon .3s ease-in;
        animation: removeicon .3s ease-in;
    }

#Addedbtn {
    position: absolute;
}

.addedbtn #Addedbtn {
    -webkit-animation: addedbtn 0.5s linear;
    animation: addedbtn .5s linear;
}

.paykartbtn {
    min-width: auto;
    padding-inline: .8rem;
    font-family: Roboto, sans-serif;
    cursor: pointer;
    border-radius: 4px;
    padding: 4px 5px;
    font-size: 12px;
    gap: .3rem;
    text-decoration: none;
    align-items: center;
    display: inline-flex;
    justify-content: center;
    transition: all 0.5s ease;
    height:26px;
}

.pkgcount {
    position: absolute;
    z-index: 100;
    background-color: #F4B434;
    color: #fff;
    width: 20px;
    height: 20px;
    display: inline-flex;
    cursor: pointer;
    justify-content: center;
    border-radius: 50%;
    inset-inline-end: -8px;
    inset-block-start: -12px;
}

.kartactive .pkgcount {
    -webkit-animation: cartcount 0.5s linear;
    animation: cartcount .5s linear;
}

.kartbtn {
    overflow: hidden;
    display: inline-flex;
}

.payKartbox {
    width: auto;
    position: relative;
    display: inline-flex;
    background-color: #004684;
    border-radius: 4px;
    border: 1px solid #2375bf;
    color: #fff;
    margin-inline-end: 8px;
    float: inline-end;
    margin-inline-start: 3px;
}

.paycartpopbox {
    width: 470px;
    max-height: 850px;
    overflow-y: auto;
    position: absolute;
    top: 30px;
    right: 0;
    z-index: 200;
    transition: transform 0.2s ease-out;
    transform: scaleY(0);
    transform-origin: top;
    border-radius: 8px;
    box-shadow: 1px 1px 10px 0px rgba(0, 0, 0, 0.30);
    background:#fff;
}

.paycartclosebtn {
    font-size: 28px;
    color: #000;
    cursor: pointer;
    position: absolute;
    top: 5px;
    right: .5rem
}

.showpopup {
    transform: scaleY(1);
}

.carnotifbox {
    position: absolute;
    width: 280px;
    overflow: hidden;
    inset-inline-end: 0;
    top: 100px;
    z-index: 100;
    height: 50px;
}

.paycartnotification {
    background-color: #fff;
    width: 230px;
    height:55px;
    position: fixed;
    font-weight: 600;
    border-radius: 4px;
    box-shadow: 4px 4px 10px 0px rgba(0, 0, 0, 0.15);
    padding-block: 1rem;
    font-size: 14px;
    font-weight: bold;
    text-align: center;
    inset-inline-end: -240px;
    top:87px;
    transition: .2s all .2s;
    border: 1px solid rgba(0, 0, 0, 0.15);
    z-index: 200;
}
.shownotification {
    inset-inline-end: -10px;
}


.cartnotifloader {
    position: absolute;
    inset-block-end: 0;
    inset-inline-start: 0;
    height: 4px;
    width: 100%;
    background-color: #539A56;
    border-radius: 4px;
    transform: scaleX(0);
    transform-origin: center center;
    transition: .6s transform .3s;
}

.shownotification .cartnotifloader {
    transform: scaleX(1);
}

@-webkit-keyframes fadeOut {
    0% {
        opacity: 1;
        visibility: visible;
    }

    100% {
        opacity: 0;
        visibility: hidden;
    }
}

@keyframes fadeOut {
    0% {
        opacity: 1;
        visibility: visible;
    }

    100% {
        opacity: 0;
        visibility: hidden;
    }
}

@-webkit-keyframes addedbtn {
    .paycartpopbox 0% {
        opacity: 0;
        -webkit-transform: translateX(-150px);
        transform: translateX(-150px);
    }

    70% {
        -webkit-transform: translateX(10px);
        transform: translateX(10px);
    }

    100% {
        opacity: 1;
        -webkit-transform: translateX(0);
        transform: translateX(0);
        -webkit-animation-delay: .3s;
        animation-delay: .3s;
    }
}

@keyframes addedbtn {
    0% {
        opacity: 0;
        transform: translateX(-150px);
    }

    70% {
        transform: translateX(10px);
    }

    100% {
        opacity: 1;
        transform: translateX(0);
        animation-delay: .3s;
    }
}

@-webkit-keyframes removeicon {
    0% {
        opacity: 0;
        -webkit-transform: translateX(50px);
        transform: translateX(50px);
    }

    100% {
        opacity: 1;
        -webkit-transform: translateX(0);
        transform: translateX(0);
        -webkit-animation-delay: .3s;
        animation-delay: .3s;
    }
}

@keyframes removeicon {
    0% {
        opacity: 0;
        transform: translateX(50px);
    }

    100% {
        opacity: 1;
        transform: translateX(0);
        animation-delay: .3s;
    }
}

@-webkit-keyframes cartcount {
    0% {
        opacity: 0;
        -webkit-transform: scale(1);
        transform: scale(1) rotateX('-10deg');
    }

    80% {
        opacity: 1;
        -webkit-transform: scale(1.2);
        transform: scale(1.2) rotateX('20deg');
    }

    100% {
        opacity: 1;
        -webkit-transform: scale(1);
        transform: scale(1) rotateX('0deg');
    }
}

@keyframes cartcount {
    0% {
        opacity: 0;
        -webkit-transform: scale(1);
        transform: scale(1) rotateX('-10deg');
    }

    80% {
        opacity: 1;
        -webkit-transform: scale(1.2);
        transform: scale(1.2) rotateX('20deg');
    }

    100% {
        opacity: 1;
        -webkit-transform: scale(1);
        transform: scale(1) rotateX('0deg');
    }
}




@media screen and (max-width:767px) {
    .paycartpopbox {
        width: 320px;
    }
}
